Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_storage_get_targets

## Name

librdf_storage_get_targets -- return the targets (objects) of an arc in an RDF graph given source (subject) and arc (predicate)

## Synopsis

``librdf_iterator* `librdf_storage_get_targets`` (librdf_storage * `storage`, librdf_node * `source`, librdf_node * `arc`);`

## Arguments

`storage`

  librdf_storage object

`source`

  librdf_node source

`arc`

  librdf_node arc

## Description

Searches the storage for targets matching the given source and arc and returns a list of the source librdf_node objects as an iterator

## Return value

librdf_iterator of librdf_node objects (may be empty) or NULL on failure

<<< Previous | Home | Next >>>
librdf_storage_get_arcs | Up | librdf_storage_get_arcs_in